Returns a swap/bridge quote for the given token pair without creating any transaction state. Supports both fromAmount and toAmount (mutually exclusive).
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/swap/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainId": "An example name",
"tokenAddress": "An example name",
"amount": "<string>"
},
"to": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainId": "An example name",
"tokenAddress": "An example name",
"amount": "<string>"
},
"maxPriceImpact": 0.5,
"slippage": 0.5
}
'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/swap/quote"
payload = {
"from": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainId": "An example name",
"tokenAddress": "An example name",
"amount": "<string>"
},
"to": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainId": "An example name",
"tokenAddress": "An example name",
"amount": "<string>"
},
"maxPriceImpact": 0.5,
"slippage": 0.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: {
address: '0xbF394748301603f18d953C90F0b087CBEC0E1834',
chainId: 'An example name',
tokenAddress: 'An example name',
amount: '<string>'
},
to: {
address: '0xbF394748301603f18d953C90F0b087CBEC0E1834',
chainId: 'An example name',
tokenAddress: 'An example name',
amount: '<string>'
},
maxPriceImpact: 0.5,
slippage: 0.5
})
};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/swap/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": {
"address": "<string>",
"amount": "<string>",
"token": {
"address": "<string>",
"chainId": "<string>",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"coinKey": "<string>",
"logoURI": "<string>",
"priceUSD": "<string>"
},
"amountMin": "<string>",
"amountUSD": "<string>"
},
"id": "<string>",
"steps": [
{
"from": {
"amount": "<string>",
"token": {
"address": "<string>",
"chainId": "<string>",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"coinKey": "<string>",
"logoURI": "<string>",
"priceUSD": "<string>"
},
"amountMin": "<string>",
"amountUSD": "<string>"
},
"id": "<string>",
"to": {
"amount": "<string>",
"token": {
"address": "<string>",
"chainId": "<string>",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"coinKey": "<string>",
"logoURI": "<string>",
"priceUSD": "<string>"
},
"amountMin": "<string>",
"amountUSD": "<string>"
},
"tool": "<string>",
"type": "<string>",
"feeCosts": [
{
"amount": "<string>",
"included": true,
"name": "<string>",
"token": {
"address": "<string>",
"chainId": "<string>",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"coinKey": "<string>",
"logoURI": "<string>",
"priceUSD": "<string>"
},
"amountUSD": "<string>"
}
],
"gasCosts": [
{
"amount": "<string>",
"token": {
"address": "<string>",
"chainId": "<string>",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"coinKey": "<string>",
"logoURI": "<string>",
"priceUSD": "<string>"
},
"amountUSD": "<string>"
}
]
}
],
"to": {
"address": "<string>",
"amount": "<string>",
"token": {
"address": "<string>",
"chainId": "<string>",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"coinKey": "<string>",
"logoURI": "<string>",
"priceUSD": "<string>"
},
"amountMin": "<string>",
"amountUSD": "<string>"
},
"approvalAddress": "<string>",
"feeCosts": [
{
"amount": "<string>",
"included": true,
"name": "<string>",
"token": {
"address": "<string>",
"chainId": "<string>",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"coinKey": "<string>",
"logoURI": "<string>",
"priceUSD": "<string>"
},
"amountUSD": "<string>"
}
],
"gasCostUSD": "<string>",
"signingPayload": {
"chainId": "<string>",
"evmTransaction": {
"to": "<string>",
"data": "<string>",
"value": "<string>",
"gasLimit": "<string>",
"gasPrice": "<string>",
"maxFeePerGas": "<string>",
"maxPriorityFeePerGas": "<string>",
"nonce": 123
},
"evmApproval": {
"tokenAddress": "<string>",
"spenderAddress": "<string>",
"amount": "<string>"
},
"serializedTransaction": "<string>",
"psbt": "<string>",
"tronTransaction": {
"rawDataHex": "<string>",
"to": "<string>",
"value": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "Resources already exists for this Object",
"payload": {
"email": "joe@email.com",
"embeddedWalletName": "<string>",
"mergeConflicts": {
"fromUser": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"verifiedCredentials": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"signInEnabled": true,
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chain": "<string>",
"refId": "95b11417-f18f-457f-8804-68e361f9164f",
"signerRefId": "95b11417-f18f-457f-8804-68e361f9164f",
"email": "jsmith@example.com",
"name_service": {
"avatar": "<string>",
"name": "<string>"
},
"public_identifier": "<string>",
"wallet_name": "<string>",
"wallet_properties": {
"turnkeySubOrganizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyPrivateKeyId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyHDWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
"isAuthenticatorAttached": true,
"turnkeyUserId": "95b11417-f18f-457f-8804-68e361f9164f",
"isSessionKeyCompatible": true
},
"business_account_properties": {
"businessAccountId": "95b11417-f18f-457f-8804-68e361f9164f",
"businessAccountCreatedAt": "2023-11-07T05:31:56Z",
"businessAccountSignerId": "95b11417-f18f-457f-8804-68e361f9164f",
"businessAccountName": "<string>",
"businessAccountExternalRef": "<string>"
},
"oauth_username": "<string>",
"oauth_display_name": "<string>",
"oauth_account_id": "<string>",
"phoneNumber": "9171113333",
"phoneCountryCode": "1",
"isoCountryCode": "US",
"oauth_account_photos": [
"<string>"
],
"oauth_emails": [
"<string>"
],
"oauth_metadata": {},
"previous_users": [
"95b11417-f18f-457f-8804-68e361f9164f"
],
"embedded_wallet_id": "<string>",
"wallet_additional_addresses": [
{
"address": "<string>",
"publicKey": "<string>",
"network": "<string>"
}
],
"lastSelectedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z"
}
],
"lastVerifiedCredentialId": "95b11417-f18f-457f-8804-68e361f9164f",
"sessionId": "95b11417-f18f-457f-8804-68e361f9164f",
"alias": "An example name",
"country": "US",
"email": "jsmith@example.com",
"firstName": "An example name",
"jobTitle": "An example name",
"lastName": "An example name",
"phoneNumber": "<string>",
"policiesConsent": true,
"tShirtSize": "An example name",
"team": "An example name",
"username": "An example name",
"firstVisit": "2023-11-07T05:31:56Z",
"lastVisit": "2023-11-07T05:31:56Z",
"newUser": true,
"metadata": {},
"btcWallet": "<string>",
"kdaWallet": "<string>",
"ltcWallet": "<string>",
"ckbWallet": "<string>",
"kasWallet": "<string>",
"dogeWallet": "<string>",
"emailNotification": true,
"discordNotification": true,
"newsletterNotification": true,
"lists": [
"<string>"
],
"scope": "superuser marketing operations",
"missingFields": [
{
"name": "<string>",
"required": true,
"enabled": true,
"unique": true,
"verify": true,
"validationRules": {
"unique": true,
"regex": "^0x",
"validOptions": [
{
"label": "small"
},
{
"label": "medium"
},
{
"label": "large"
}
],
"checkboxText": "Agree to the terms and conditions"
},
"label": "<string>",
"position": 123
}
]
},
"conflicts": [
{
"field": {
"name": "<string>",
"required": true,
"enabled": true,
"unique": true,
"verify": true,
"validationRules": {
"unique": true,
"regex": "^0x",
"validOptions": [
{
"label": "small"
},
{
"label": "medium"
},
{
"label": "large"
}
],
"checkboxText": "Agree to the terms and conditions"
},
"label": "<string>",
"position": 123
},
"fromUser": {
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"value": "An example name"
},
"currentUser": {
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"value": "An example name"
}
}
]
},
"additionalMessages": [
"<string>"
]
}
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The price impact threshold above which routes are hidden. As an example, one should specify 0.15 (15%) to hide routes with more than 15% price impact. The default is 10%.
0 <= x <= 1Route optimization preference.
CHEAPEST, FASTEST Slippage tolerance (e.g. 0.005 for 0.5%)
0 <= x <= 1Response
Swap quote
Show child attributes
Show child attributes
Unique identifier of the swap quote
List of steps required to execute the swap
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Address that needs token approval (spender), if applicable
List of fee costs associated with the swap
Show child attributes
Show child attributes
Total estimated gas cost in USD
Chain-aware signing payload. Which fields are populated depends on chainName: EVM uses evmTransaction + optional evmApproval. SOL and SUI use serializedTransaction. BTC uses psbt. TRON uses tronTransaction.
Show child attributes
Show child attributes
Was this page helpful?
